Browser Requirements

Browsers Supported

Internet Explorer 6.x or later and Firefox.

While Internet Explorer versions 5.x and older can be used for accessing the online banking site, IE 6.0 or later is preferred. It is generally recommended that users keep their browsers up-to-date to take advantage of new technologies and to ensure that the most current security updates are being utilized.

128-Bit Secure Socket Layer (SSL) Encryption

To access this site, your browser must also support 128-bit Secure Socket Layer (SSL) encryption, the highest level of encryption available. Should this site not provide you access due to the strength of your browsers’ encryption, you will need to download the appropriate encryption support from the supplier of your browser. Most browser upgrades now support 128-bit as the default level of encryption when you download the installation package.

If you use Internet Explorer, you can download a High Encryption pack from Microsoft at http://www.microsoft.com/windows/ie/downloads/recommended/128bit/default.asp.

Cookies

 In order to use this site, you must ensure that you have not disabled your browsers’ ability to accept cookies . For more information on enabling, and disabling cookies within your browser, please review your browsers’ Help section.

Javascript

JavaScript is also used to enhance this site. If JavaScript is disabled on your browser, the main features of the site will be functional but you may disable some or all of the enhanced capabilities of features such as the Print button. To use these enhanced capabilities, please re-enable JavaScript on your browser.

Hardware Configurations

The minimum hardware requirements for using this site are specified by the specific browser that you use.